LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sheet::AddressConvention Constant Group Reference

These constants specify which address convention to use in the formula parser. More...

## Variables
const short | UNSPECIFIED = -1
const short | OOO = 0
const short | XL_A1 = 1
const short | XL_R1C1 = 2
const short | XL_OOX = 3
const short | LOTUS_A1 = 4

## Detailed Description

These constants specify which address convention to use in the formula parser.

Each variation specifies a different cell and cell range address syntax.

See also
  com::sun::star::sheet::FormulaParser

## Variable Documentation

## ◆ LOTUS_A1

const short LOTUS_A1 = 4

## ◆ OOO

const short OOO = 0

## ◆ UNSPECIFIED

const short UNSPECIFIED = -1

## ◆ XL_A1

const short XL_A1 = 1

## ◆ XL_OOX

const short XL_OOX = 3

## ◆ XL_R1C1

const short XL_R1C1 = 2